use std::thread::sleep;
use std::time;
use fuedra_schwitzt::cpuusagebuffer::CpuUsageBuffer;
use fuedra_schwitzt::ansiiescape::cursor_up;
use fuedra_schwitzt::vectools;


fn main() {
    // Init buffer
    let mut buffer = CpuUsageBuffer::new();

    // Print buffer
    print!("{}", buffer.braille());

    loop {
        // Push new cpu usage stats
        buffer.push();

        // Reset paint area
        print!("{}", cursor_up(buffer.cpu_num().try_into().unwrap()));
        // Print buffer
        print!("{}", buffer.braille());

        // Wait a while
        sleep(time::Duration::from_millis(1000));
    }
}
