use std::str;

pub fn braille_symbol(nu: u8) -> String {
    let lower = (nu & 0b00111111) + 0b10000000;
    let upper = ((nu & 0b11000000) >> 6) + 0b10100000;
    let symbol: Vec<u8> = vec![0b11100010, upper, lower];
    str::from_utf8(&symbol).unwrap().to_string()
}
